#ifndef _SCAFES_SCAFES_CONFIG_HPP
#define _SCAFES_SCAFES_CONFIG_HPP 1
 
/* scafes/ScaFES_Config.hpp. Generated automatically at end of configure. */
/* config.h.  Generated from config.h.in by configure.  */
/* config.h.in.  Generated from configure.ac by autoheader.  */

/* Define if building universal (internal helper macro) */
/* #undef AC_APPLE_UNIVERSAL_BUILD */

/* Indicates presence of ADOLC headers and lib */
#ifndef SCAFES_HAVE_ADOLC
#define SCAFES_HAVE_ADOLC 1
#endif

/* Define to 1 if you have the `asprintf' function. */
#ifndef SCAFES_HAVE_ASPRINTF
#define SCAFES_HAVE_ASPRINTF 1
#endif

/* define if the Boost library is available */
#ifndef SCAFES_HAVE_BOOST
#define SCAFES_HAVE_BOOST /**/
#endif

/* define if the Boost::MPI library is available */
#ifndef SCAFES_HAVE_BOOST_MPI
#define SCAFES_HAVE_BOOST_MPI /**/
#endif

/* define if the Boost::PROGRAM_OPTIONS library is available */
#ifndef SCAFES_HAVE_BOOST_PROGRAM_OPTIONS
#define SCAFES_HAVE_BOOST_PROGRAM_OPTIONS /**/
#endif

/* define if the Boost::Regex library is available */
#ifndef SCAFES_HAVE_BOOST_REGEX
#define SCAFES_HAVE_BOOST_REGEX /**/
#endif

/* define if the Boost::Serialization library is available */
#ifndef SCAFES_HAVE_BOOST_SERIALIZATION
#define SCAFES_HAVE_BOOST_SERIALIZATION /**/
#endif

/* Define to 1 if you have the declaration of `O_NOATIME', and to 0 if you
   don't. */
#ifndef SCAFES_HAVE_DECL_O_NOATIME
#define SCAFES_HAVE_DECL_O_NOATIME 1
#endif

/* Define to 1 if you have the <dlfcn.h> header file. */
#ifndef SCAFES_HAVE_DLFCN_H
#define SCAFES_HAVE_DLFCN_H 1
#endif

/* Define to 1 if you have the <fcntl.h> header file. */
#ifndef SCAFES_HAVE_FCNTL_H
#define SCAFES_HAVE_FCNTL_H 1
#endif

/* Define to 1 if you have the `gettimeofday' function. */
#ifndef SCAFES_HAVE_GETTIMEOFDAY
#define SCAFES_HAVE_GETTIMEOFDAY 1
#endif

/* Indicates presence of basic HDF5 library */
#ifndef SCAFES_HAVE_HDF5
#define SCAFES_HAVE_HDF5 1
#endif

/* Indicates presence of HDF5 LT library */
#ifndef SCAFES_HAVE_HDF5_LT
#define SCAFES_HAVE_HDF5_LT 1
#endif

/* Define to 1 if you have the <inttypes.h> header file. */
#ifndef SCAFES_HAVE_INTTYPES_H
#define SCAFES_HAVE_INTTYPES_H 1
#endif

/* Define to 1 if your system has a GNU libc compatible `malloc' function, and
   to 0 otherwise. */
#ifndef SCAFES_HAVE_MALLOC
#define SCAFES_HAVE_MALLOC 1
#endif

/* Define to 1 if you have the <memory.h> header file. */
#ifndef SCAFES_HAVE_MEMORY_H
#define SCAFES_HAVE_MEMORY_H 1
#endif

/* Indicates presence of MPI headers and lib */
/* #undef HAVE_MPI */

/* Indicates presence of NETCDF headers and lib */
#ifndef SCAFES_HAVE_NETCDF
#define SCAFES_HAVE_NETCDF 1
#endif

/* Indicates presence of parallel NETCDF headers and lib */
/* #undef HAVE_NETCDF_PAR */

/* Define to 1 if you have the `snprintf' function. */
#ifndef SCAFES_HAVE_SNPRINTF
#define SCAFES_HAVE_SNPRINTF 1
#endif

/* Define to 1 if you have the `sqrt' function. */
#ifndef SCAFES_HAVE_SQRT
#define SCAFES_HAVE_SQRT 1
#endif

/* Define to 1 if you have the <stddef.h> header file. */
#ifndef SCAFES_HAVE_STDDEF_H
#define SCAFES_HAVE_STDDEF_H 1
#endif

/* Define to 1 if you have the <stdint.h> header file. */
#ifndef SCAFES_HAVE_STDINT_H
#define SCAFES_HAVE_STDINT_H 1
#endif

/* Define to 1 if you have the <stdlib.h> header file. */
#ifndef SCAFES_HAVE_STDLIB_H
#define SCAFES_HAVE_STDLIB_H 1
#endif

/* Define to 1 if you have the `strcspn' function. */
#ifndef SCAFES_HAVE_STRCSPN
#define SCAFES_HAVE_STRCSPN 1
#endif

/* Define to 1 if you have the `strdup' function. */
#ifndef SCAFES_HAVE_STRDUP
#define SCAFES_HAVE_STRDUP 1
#endif

/* Define to 1 if you have the <strings.h> header file. */
#ifndef SCAFES_HAVE_STRINGS_H
#define SCAFES_HAVE_STRINGS_H 1
#endif

/* Define to 1 if you have the <string.h> header file. */
#ifndef SCAFES_HAVE_STRING_H
#define SCAFES_HAVE_STRING_H 1
#endif

/* define if the compiler supports System V math library */
/* #undef HAVE_SYSTEM_V_MATH */

/* Define to 1 if you have the <sys/param.h> header file. */
#ifndef SCAFES_HAVE_SYS_PARAM_H
#define SCAFES_HAVE_SYS_PARAM_H 1
#endif

/* Define to 1 if you have the <sys/select.h> header file. */
#ifndef SCAFES_HAVE_SYS_SELECT_H
#define SCAFES_HAVE_SYS_SELECT_H 1
#endif

/* Define to 1 if you have the <sys/stat.h> header file. */
#ifndef SCAFES_HAVE_SYS_STAT_H
#define SCAFES_HAVE_SYS_STAT_H 1
#endif

/* Define to 1 if you have the <sys/time.h> header file. */
#ifndef SCAFES_HAVE_SYS_TIME_H
#define SCAFES_HAVE_SYS_TIME_H 1
#endif

/* Define to 1 if you have the <sys/types.h> header file. */
#ifndef SCAFES_HAVE_SYS_TYPES_H
#define SCAFES_HAVE_SYS_TYPES_H 1
#endif

/* Define to 1 if you have the <unistd.h> header file. */
#ifndef SCAFES_HAVE_UNISTD_H
#define SCAFES_HAVE_UNISTD_H 1
#endif

/* Define to 1 if you have the `vasprintf' function. */
#ifndef SCAFES_HAVE_VASPRINTF
#define SCAFES_HAVE_VASPRINTF 1
#endif

/* Define to 1 if you have the `vsnprintf' function. */
#ifndef SCAFES_HAVE_VSNPRINTF
#define SCAFES_HAVE_VSNPRINTF 1
#endif

/* Define to the sub-directory in which libtool stores uninstalled libraries.
   */
#ifndef SCAFES_LT_OBJDIR
#define SCAFES_LT_OBJDIR ".libs/"
#endif

/* Name of package */
#ifndef SCAFES_PACKAGE
#define SCAFES_PACKAGE "scafes"
#endif

/* Define to the address where bug reports for this package should be sent. */
#ifndef SCAFES_PACKAGE_BUGREPORT
#define SCAFES_PACKAGE_BUGREPORT "scafes-support@fusionforge.zih.tu-dresden.de"
#endif

/* Define to the full name of this package. */
#ifndef SCAFES_PACKAGE_NAME
#define SCAFES_PACKAGE_NAME "scafes"
#endif

/* Define to the full name and version of this package. */
#ifndef SCAFES_PACKAGE_STRING
#define SCAFES_PACKAGE_STRING "scafes 2.0.1"
#endif

/* Define to the one symbol short name of this package. */
#ifndef SCAFES_PACKAGE_TARNAME
#define SCAFES_PACKAGE_TARNAME "scafes"
#endif

/* Define to the home page for this package. */
#ifndef SCAFES_PACKAGE_URL
#define SCAFES_PACKAGE_URL ""
#endif

/* Define to the version of this package. */
#ifndef SCAFES_PACKAGE_VERSION
#define SCAFES_PACKAGE_VERSION "2.0.1"
#endif

/* The size of `long', as computed by sizeof. */
#ifndef SCAFES_SIZEOF_LONG
#define SCAFES_SIZEOF_LONG 8
#endif

/* Define to 1 if you have the ANSI C header files. */
#ifndef SCAFES_STDC_HEADERS
#define SCAFES_STDC_HEADERS 1
#endif

/* Version number of package */
#ifndef SCAFES_VERSION
#define SCAFES_VERSION "2.0.1"
#endif

/* Define WORDS_BIGENDIAN to 1 if your processor stores words with the most
   significant byte first (like Motorola and SPARC, unlike Intel). */
#if defined AC_APPLE_UNIVERSAL_BUILD
# if defined __BIG_ENDIAN__
#  define WORDS_BIGENDIAN 1
# endif
#else
# ifndef WORDS_BIGENDIAN
/* #  undef WORDS_BIGENDIAN */
# endif
#endif

/* Define to rpl_malloc if the replacement function should be used. */
/* #undef malloc */

/* Define to `unsigned int' if <sys/types.h> does not define. */
/* #undef size_t */
 
/* once: _SCAFES_SCAFES_CONFIG_HPP */
#endif
